PHP 手冊
前一頁 |  | 下一頁

# ftp_delete

(PHP 3>= 3.0.13, PHP 4 , PHP 5)

ftp_delete -- Deletes a file on the FTP server

## Description

bool ftp_delete ( resource ftp_stream, string path )

ftp_delete() deletes the file specified by path from the FTP server.

## Parameters

ftp_stream

  The link identifier of the FTP connection.

path

  The file to delete.

## Return Values

成功回傳`TRUE`失敗回傳`FALSE`。

## 範例

範例 1. ftp_delete() example

`<?php $file = 'public_html/old.txt'; // set up basic connection $conn_id = ftp_connect($ftp_server); // login with username and password $login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass); // try to delete $file if (ftp_delete($conn_id, $file)) { echo "$file deleted successful\n"; } else { echo "could not delete $file\n"; } // close the connection ftp_close($conn_id); ?>`

前一頁 | 內容 | 下一頁
ftp_connect | 上一層 | ftp_exec